<!-- Javascript to handle view actions. DO NOT TOUCH -->
<script>
var handlerFunc = function(t) {
    if(t.responseText!="") setStatus(t.responseText, 1000, 'statusContainer');
}
var errFunc = function(t) {
    alert('Error ' + t.status + ' -- ' + t.statusText);
}
<!-- BEGIN DYNAMIC BLOCK: checkbox_updatejs -->
function UpdatePublic(objCheck)
{
    if(objCheck.checked) value=1;
    else value=0;
    
    new Ajax.Request(   'index.php?fuse=reports&action=UpdatePublic',
                        {parameters : 'reporttype={REPORTTYPE}&reportname={REPORTNAME}&publishvalue=' + value,
                         onSuccess  : handlerFunc,
                         onFailure  : errFunc}
                     )
}
<!-- END DYNAMIC BLOCK: checkbox_updatejs -->


<!-- BEGIN DYNAMIC BLOCK: checkbox2_updatejs -->
function UpdateDropdown(objCheck){
    if(objCheck.checked) value=1;
    else value=0;
    new Ajax.Request(   'index.php?fuse=reports&action=UpdateDropdown',
                        {parameters :'reporttype={REPORTTYPE}&reportname={REPORTNAME}&dropdownvalue='+value,
                         onSuccess  : handlerFunc,
                         onFailure  : errFunc}
                     )
}
<!-- END DYNAMIC BLOCK: checkbox2_updatejs -->

<!-- BEGIN DYNAMIC BLOCK: checkbox3_updatejs -->
function UpdateDashboard(objCheck){
    if(objCheck.checked) value=1;
    else value=0;
    
    new Ajax.Request(   'index.php?fuse=reports&action=UpdateDashboard',
                        {parameters :'reporttype={REPORTTYPE}&reportname={REPORTNAME}&dashboardvalue='+value,
                         onSuccess  : handlerFunc,
                         onFailure  : errFunc}
                     )
}
<!-- END DYNAMIC BLOCK: checkbox3_updatejs -->
</script>

<br />

<form method=post action=index.php name='report_options'>
<!-- BEGIN DYNAMIC BLOCK: checkbox -->
<input type=checkbox onclick='UpdatePublic(this);' name=public {PUBLICCHECKED}>&nbsp;[l]Public[/l]{publicHelpPopup}
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<!-- END DYNAMIC BLOCK: checkbox -->

<!-- BEGIN DYNAMIC BLOCK: checkbox2 -->
<input type=checkbox onclick='UpdateDropdown(this);' name=dropdown {DROPDOWNCHECKED}>&nbsp;[l]Add to Quick Reports[/l]
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<!-- END DYNAMIC BLOCK: checkbox2 -->

<!-- BEGIN DYNAMIC BLOCK: checkbox3 -->
<input type=checkbox onclick='UpdateDashboard(this);' name=dashboard {DASHBOARDCHECKED}>&nbsp;[l]Add Graph To Dashboard[/l]
<!-- END DYNAMIC BLOCK: checkbox3 -->

<!-- BEGIN DYNAMIC BLOCK: nonadmincheckbox -->
<!-- <input type=checkbox name=home {SHOWHOMECHECK}>&nbsp;[l]View in My Right Panel[/l] -->
<!-- END DYNAMIC BLOCK: nonadmincheckbox -->
</form>
<br><br>
